#include "StdAfx.h"
#include "notifyframewindow.h"
#include <atltypes.h>

int CNotifyFrameWindow::sm_ComponentCreatorID2 = CScriptletContainerFactory::get_instance()->RegisterComponentCreator(_T("NotifyFrameWindow"), new CNDefaultCloneable< CNotifyFrameWindow >);

CNotifyFrameWindow::CNotifyFrameWindow()
{
	m_hMessageWnd = NULL;
	m_bAutoDelete = FALSE;
}

IMPLEMENT_MESSAGE_HANDLER(CNotifyFrameWindow, OnMouseMove)
{ 
	if( m_hMessageWnd )
	{
		::SendMessage( m_hMessageWnd, WM_MOUSEHOVER, 0, 0 );
	}

	return __super::OnMouseMove(uMsg, wParam, lParam, bHandled);
}

IMPLEMENT_MESSAGE_HANDLER(CNotifyFrameWindow, OnMouseLeave)
{ 
	if( m_hMessageWnd )
	{
		::SendMessage( m_hMessageWnd, WM_MOUSELEAVE, 0, 0 );
	}

	return __super::OnMouseMove(uMsg, wParam, lParam, bHandled);
}